Search

GlobalSCAPE Knowledge Base

Validate EFT SFTP COM API using PowerShell

ramiroguzman
COM API

This PowerShell script validates the EFT SFTPCOMInterface component is installed and registered.

Prerequisites

  • Microsoft .NET Framework 4.0 or higher
  • PowerShell 2 or higher
  • Windows 2008 R2 or higher
  • EFT Server 6.5 or higher

Installation

Download the PowerShell script file into your EFT Server.

Usage

You must run this script in the same OS where the EFT Server Service or EFT Admin UI are installed.

  1. Open Windows PowerShell (x86 version) console
  2. Run the following command:
 .\EFT.SFTPCOMInterface-Validate.ps1

Screenshot

Results

The script will validate that all component versions match, dependencies, and Windows has registered the COM classes.

We recommend repairing the EFT installation or re-register EFT COM API if any validations fail.

Alternatively, you could open a ticket with our tech support team to address this issue.

Script Execution Policy

Make sure your server allows executing PowerShell scripts by setting the right policy.

Set-ExecutionPolicy -ExecutionPolicy Unrestricted

Reporting Issues

Issues

If you find any bugs using the PowerShell script, please file an issue on your customer portal page. Please fill out with appropriate information.

License

Copyright (C) 2022 GlobalSCAPE, Inc. The copyright to the computer program(s) herein is the property of GlobalSCAPE, Inc. The program(s) may be used and/or copied only with the written permission of GlobalSCAPE, Inc. or in accordance with the terms and conditions stipulated in the agreement/contract under which the program(s) have been supplied.

Details
Last Modified: 3 Months Ago
Last Modified By: ramiroguzman
Type: HOWTO
Article not rated yet.
Article has been viewed 284 times.
Options
Also In This Category
Tags